]> Frank Brehm's Git Trees - config/uhu1/etc.git/commitdiff
saving uncommitted changes in /etc prior to emerge run
authorroot <root@uhu1.uhu-banane.de>
Fri, 11 Nov 2016 11:07:22 +0000 (12:07 +0100)
committerroot <root@uhu1.uhu-banane.de>
Fri, 11 Nov 2016 11:07:22 +0000 (12:07 +0100)
.etckeeper
cron.daily/._cfg0000_logrotate [new file with mode: 0755]

index cc867462e8962aade64b572e03e036d69c5e2dad..079bb90a657cf4401174f82310fcf57ad8cddb78 100755 (executable)
@@ -804,6 +804,7 @@ maybe chmod 0755 'cron.d'
 maybe chmod 0644 'cron.d/.keep_sys-process_cronie-0'
 maybe chmod 0644 'cron.d/sysstat'
 maybe chmod 0750 'cron.daily'
+maybe chmod 0755 'cron.daily/._cfg0000_logrotate'
 maybe chmod 0644 'cron.daily/.keep_sys-process_cronbase-0'
 maybe chmod 0755 'cron.daily/00-logwatch'
 maybe chmod 0755 'cron.daily/etckeeper'
diff --git a/cron.daily/._cfg0000_logrotate b/cron.daily/._cfg0000_logrotate
new file mode 100755 (executable)
index 0000000..67ff626
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+/usr/bin/logrotate /etc/logrotate.conf
+EXITVALUE=$?
+if [ $EXITVALUE != 0 ]; then
+    /usr/bin/logger -t logrotate "ALERT exited abnormally with [$EXITVALUE]"
+fi
+exit 0